package com.ss.android.ugc.aweme.port.in;

import X.C5805CDh;
import X.C5816CDs;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.discover.model.Position;
import com.ss.android.ugc.aweme.profile.model.User;
import java.util.List;

public interface IAvSearchUserService {
    static {
        Covode.recordClassIndex(97890);
    }

    C5805CDh LIZ(C5816CDs cDs);

    CharSequence LIZ(Context context, String str, List<? extends Position> list);

    String LIZ(Context context, String str);

    List<User> LIZ();

    boolean LIZIZ();
}
